Subject: Re: bug#44313: 27.1.50; ns_mouse_position EXC_BAD_ACCESS crash

From: Aaron Jensen <[email-masked]>
Date: Fri, 30 Oct 2020 05:16:35 -0500

On Fri, Oct 30, 2020 at 2:16 AM Eli Zaretskii <[email-masked]> wrote:
> The crash is in frame #0, so please show the relevant variables
> there.

Okay, next time it crashes I will get what I can.

> According to the line number the crash is here:
>
>   if (f && FRAME_NS_P (f))
>
> So why does FRAME_NS_P crash? which part of the frame's structure are
> invalid?

I believe that macro is defined as:

    #define FRAME_NS_P(f) ((f)->output_method == output_ns)

Would the de-reference cause an EXC_BAD_ACCESS if the frame had been released?

I make use of child frames via the posframe packages. I wonder if
something requested a mouse pixel position for a frame either as it
was being released or after it was being released?